[ALSA-2020:4756] Moderate: varnish:6 security, bug fix, and enhancement update
Type:
security
Severity:
moderate
Release date:
2020-11-03
Description:
Varnish Cache is a high-performance HTTP accelerator. It stores web pages in memory so web servers don't have to create the same web page over and over again, giving the website a significant speed up. The following packages have been upgraded to a later upstream version: varnish (6.0.6). (BZ#1795673) Security Fix(es): * varnish: denial of service handling certain crafted HTTP/1 requests (CVE-2019-15892) * varnish: remote clients may cause Varnish to assert and restart which could result in DoS (CVE-2020-11653) * varnish: not clearing pointer between two client requests leads to information disclosure (CVE-2019-20637) For more details about the security issue(s), including the impact, a CVSS score, acknowledgments, and other related information, refer to the CVE page(s) listed in the References section. Additional Changes: For detailed information on changes in this release, see the AlmaLinux Release Notes linked from the References section.
Updated packages:
  • varnish-6.0.6-2.module_el8.3.0+6171+b3b42fcc.x86_64.rpm
  • varnish-devel-6.0.6-2.module_el8.3.0+6171+b3b42fcc.x86_64.rpm
  • varnish-docs-6.0.6-2.module_el8.3.0+6171+b3b42fcc.x86_64.rpm
  • varnish-modules-0.15.0-5.module_el8.3.0+6171+b3b42fcc.x86_64.rpm
Notes:
This page is generated automatically and has not been checked for errors. For clarification or corrections please contact the AlmaLinux Packaging Team.